Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-46010

The Moodle 2.6 release notes need to make it clear to add-on authors how to upgrade their plugins for the events changes

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.7
    • Fix Version/s: None
    • Component/s: Documentation
    • Labels:
      None
    • Affected Branches:
      MOODLE_27_STABLE

      Description

      http://docs.moodle.org/dev/Moodle_2.6_release_notes#For_developers:_API_changes has almost nothing. Just

      Following links there gets you to http://docs.moodle.org/dev/Event_2#Backwards_compatibility_and_migration, which does not really tell you what to do.

      As Martin said in the developer meeting, there should be clear instructions for add-on developers about what they need to do to their code.

        Attachments

          Activity

            People

            Assignee:
            timhunt Tim Hunt
            Reporter:
            timhunt Tim Hunt
            Participants:
            Component watchers:
            David Mudrák (@mudrd8mz), Helen Foster, Víctor Déniz Falcón
            Votes:
            2 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: